注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

mie

 
 
 

日志

 
 

Linux下c++编译器CodeBlocks安装  

2010-08-12 15:52:23|  分类: linux、FreeBSD等 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

Linux下c++编译器CodeBlocks安装

http://www.boobooke.com/bbs/viewthread.php?tid=5637

 

CentOS上,安装wxWidGets:

yum install wxwidgets——失败!

最后,yum install wxGTK。但是版本似乎过低。于是,改成源码安装,自己编译,——去官网下载源码,然后解压,编译

./configure --with-x11 --ebable-log --enable-debug --enable-unicode

make

make install

 

安装CodeBlocks:(10.05)

yum install codeblocks——失败!

yum install codeblock——失败!

yum install cb——失败!

yum install CodeBlocks——失败!

最后,下载源码,

export ACLOCAL_FLAGS="-I `wx-config --prefix`/share/aclocal"

./bootstrap

./configure --with-contrib-plugins=all

make

make install

 

安装过程中提示了某个.lo文件链接问题,在src/sdk/wxscintilla里面。进入这个目录,将相应的.loT改为.lo,然后重新执行make,就可以了。

之后还会出现问题,提示wxFileDropTarget没有定义。没办法,删除掉这个文件目录,重新解压源码,编译。

 

再次提示错误:src/include/editarrayorderdlg.h第20行,构造函数默认的参数错误,“const wxArrayString & array = 0L”改成“const wxArrayString & array = (wxArrayString )0”。

再次遇到错误。src/wxscintilla.cpp:4853:error: 'wxDrag_CopyOnly' 未定义。

 

 

没办法,最后安装了8.02版本。下载源码,./configure;make;make install。完成。

 

By:zhanyonhu

  评论这张
 
阅读(4166)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2016